Jump to content

Java para OS X descargable y actualizable desde Oracle


Juan
 Share

Recommended Posts

Hola,

 

Yo tengo instalada las JRE 7 y tengo el Java 6 también. Primero instalé el 6 y luego el 7.

 

En preferencias del sistema tengo el panel de control (curioso porque no instalé el JDK).

 

Cuando ejecuto en el Terminal: java -version me dice que tengo la 6.

 

Pero en Utilidades/Preferencias de Java no tengo ninguna línea relativa al java 7. ¿Qué sucede?

Tu mismo te has contestado: no has instalado la versión JDK. Si no la instalas y tienes Java 6 será como si no tuvieras Java 7. Se explica en el hilo.

 

Un saludo.

 

Había leído mal confundiendo las preferencias de sistema con las de java.

Link to comment
Share on other sites

  • Replies 167
  • Created
  • Last Reply

Top Posters In This Topic

Hola,

 

Yo tengo instalada las JRE 7 y tengo el Java 6 también. Primero instalé el 6 y luego el 7.

 

En preferencias del sistema tengo el panel de control (curioso porque no instalé el JDK).

 

Cuando ejecuto en el Terminal: java -version me dice que tengo la 6.

 

Pero en Utilidades/Preferencias de Java no tengo ninguna línea relativa al java 7. ¿Qué sucede?

Tu mismo te has contestado: no has instalado la versión JDK. Si no la instalas y tienes Java 6 será como si no tuvieras Java 7. Se explica en el hilo.

 

Un saludo.

 

Había leído mal confundiendo las preferencias de sistema con las de java.

Pero... ¿se ha solucionado tu problema?

 

Un saludo.

Link to comment
Share on other sites

A ver, no tenía ningún problema pero es que creía que me tenía que salir la versión 7 en las Preferencias de Java y no me sale. Aunque en las Preferencias de Sistema en la sección Java, me detecta la versión 7.

Link to comment
Share on other sites

A ver, no tenía ningún problema pero es que creía que me tenía que salir la versión 7 en las Preferencias de Java y no me sale. Aunque en las Preferencias de Sistema en la sección Java, me detecta la versión 7.

Si no te sale la versión 7 en las Preferencias de Java, implica que la tienes instalada pero no activa, independientemente que tengas un panel en Preferencias del sistema que te detecte la versión 7.

 

Un saludo.

Link to comment
Share on other sites

A ver, no tenía ningún problema pero es que creía que me tenía que salir la versión 7 en las Preferencias de Java y no me sale. Aunque en las Preferencias de Sistema en la sección Java, me detecta la versión 7.

Si no te sale la versión 7 en las Preferencias de Java, implica que la tienes instalada pero no activa, independientemente que tengas un panel en Preferencias del sistema que te detecte la versión 7.

 

Un saludo.

 

¿Y como se activa? ¿Con algún comando? ¿Hay que instalar obligatoriamente las JDK?

Link to comment
Share on other sites

A ver, no tenía ningún problema pero es que creía que me tenía que salir la versión 7 en las Preferencias de Java y no me sale. Aunque en las Preferencias de Sistema en la sección Java, me detecta la versión 7.

Si no te sale la versión 7 en las Preferencias de Java, implica que la tienes instalada pero no activa, independientemente que tengas un panel en Preferencias del sistema que te detecte la versión 7.

 

Un saludo.

 

¿Y como se activa? ¿Con algún comando? ¿Hay que instalar obligatoriamente las JDK?

Si te lees el hilo, se explica la única manera que hemos encontrado: instalar la JDK y seguir las instrucciones que hemos ofrecido.

 

Un saludo.

Link to comment
Share on other sites

Sigue Chrome y jDownloader sin funcionar con JAVA 7??

 

Saludos.

¿Sigue Chrome y jDownloader funcionando a 32 bits?

 

Un saludo.

 

 

Lo siento, jDownlaoder ya dije que funciona a 64bits, por lo menos en "Obtener información" hay una opción para activar que pone "Abrir en modo 32Bits". Así que me imagino que me imagino que jDownlaoder si funciona con JAVA7.

 

Chrome ya es otra historia, pues sigue funcionando a 32Bits, así que creo que no funciona con JAVA7. Por ahora hasta que Chrome no funcione con JAVA 7 pasaré de instalar...

 

Gracias.

Link to comment
Share on other sites

Sigue Chrome y jDownloader sin funcionar con JAVA 7??

 

Saludos.

¿Sigue Chrome y jDownloader funcionando a 32 bits?

 

Un saludo.

 

 

Lo siento, jDownlaoder ya dije que funciona a 64bits, por lo menos en "Obtener información" hay una opción para activar que pone "Abrir en modo 32Bits". Así que me imagino que me imagino que jDownlaoder si funciona con JAVA7.

 

Chrome ya es otra historia, pues sigue funcionando a 32Bits, así que creo que no funciona con JAVA7. Por ahora hasta que Chrome no funcione con JAVA 7 pasaré de instalar...

 

Gracias.

Ah!! Vale, es que como habías planteado la pregunta original parecía que el problema era de Java 7, cuando el "problema" es que las aplicaciones de 32 bits lo que tienen que hacer es crear una versión de 64 bits.

 

Un saludo.

Link to comment
Share on other sites

No me queda nada claro entonces que hago con el dichoso Java. Lo necesito para un par de cosas muy concretas y si no lo desactivo, pero respecto a las versiones... Tengo en el MacBook Pro Mountain Lion y en el Mac Pro Snow Leopard ¿La última de Apple la 6 o la última de Oracle?

 

Vaya lío que me están montando estos señores.

Link to comment
Share on other sites

No me queda nada claro entonces que hago con el dichoso Java. Lo necesito para un par de cosas muy concretas y si no lo desactivo, pero respecto a las versiones... Tengo en el MacBook Pro Mountain Lion y en el Mac Pro Snow Leopard ¿La última de Apple la 6 o la última de Oracle?

 

Vaya lío que me están montando estos señores.

No tengo claro si preguntas algo en concreto, preguntas algo abierto o reflexiones en voz alta...

 

Un saludo.

 

PS En principio todo Mac que haya necesitado Java son SL, L o ML tendrá Java 6. La versión 7 instalala si la necesitas.

Link to comment
Share on other sites

No me queda nada claro entonces que hago con el dichoso Java. Lo necesito para un par de cosas muy concretas y si no lo desactivo, pero respecto a las versiones... Tengo en el MacBook Pro Mountain Lion y en el Mac Pro Snow Leopard ¿La última de Apple la 6 o la última de Oracle?

 

Vaya lío que me están montando estos señores.

No tengo claro si preguntas algo en concreto, preguntas algo abierto o reflexiones en voz alta...

 

Un saludo.

 

PS En principio todo Mac que haya necesitado Java son SL, L o ML tendrá Java 6. La versión 7 instalala si la necesitas.

 

Pregunto si es necesaria la actualización de Java de Oracle o con la de Apple no hace falta. Creo recordar que en ML Apple dejaba de dar soporte y se encargaba Oracle, pero al ver la actualización del software que me ha saltado hace un par de días no se si realmente sirve de algo instalar la de Oracle, si Apple va a seguir dando soporte, solo a fallos críticos de seguridad...

Link to comment
Share on other sites

Pregunto si es necesaria la actualización de Java de Oracle o con la de Apple no hace falta. Creo recordar que en ML Apple dejaba de dar soporte y se encargaba Oracle, pero al ver la actualización del software que me ha saltado hace un par de días no se si realmente sirve de algo instalar la de Oracle, si Apple va a seguir dando soporte, solo a fallos críticos de seguridad...

Apple, según Apple, va a seguir dando soporte a Java 6. Solo a la versión 6. A partir de ahí, la versión 7, 8 y posteriores será responsabilidad del desarrollador, Oracle. Eso implica que si quieres/necesitas tener la versión 7, tienes que seguir los pasos que hemos explicado en la este hilo a la espera que los moderadores publiquen la guia que he elaborado, que simplifica los pasos.

 

¿Es imprescindible la versión 7? En absoluto, es más, muchas aplicaciones que usan Java siguen funcionando a 32 bits o con la versión 6, incompatibles con la versión 7. El problema es que la versión 7 es el futuro, y dependerá de la velocidad con la que las aplicaciones que necesitan Java vayan adoptando la nueva versión frente a la 6.

 

Un saludo.

Link to comment
Share on other sites

Apple, según Apple, va a seguir dando soporte a Java 6. Solo a la versión 6. A partir de ahí, la versión 7, 8 y posteriores será responsabilidad del desarrollador, Oracle. Eso implica que si quieres/necesitas tener la versión 7, tienes que seguir los pasos que hemos explicado en la este hilo a la espera que los moderadores publiquen la guia que he elaborado, que simplifica los pasos.

 

¿Es imprescindible la versión 7? En absoluto, es más, muchas aplicaciones que usan Java siguen funcionando a 32 bits o con la versión 6, incompatibles con la versión 7. El problema es que la versión 7 es el futuro, y dependerá de la velocidad con la que las aplicaciones que necesitan Java vayan adoptando la nueva versión frente a la 6.

 

Un saludo.

 

Muchas gracias, que ya me estaba haciendo un lío con esto.

 

 

rolleyes.gif

Link to comment
Share on other sites

  • 3 weeks later...
  • 3 weeks later...

Nuevo agujero de seguridad en las ultimas versiones de Java http://reviews.cnet....-billion-users/

Bueno, supongo que en los próximos días tendremos actualizaciones de la versión 7 al menos.

 

Gracias por el apunte!

 

Un saludo.

 

Pau quería consultarte algo.

 

En estos días hice un formateo en mi ordenador. Al comenzar a instalar y configurar todo, en una de las aplicaciones me saltó el mensaje de que necesitaba Java, le di aceptar y el sistema automaticamente me instaló versión Java 6 la 1.6.0_35. Luego de eso instalé el JDK de la 7u7 desde la web de Oracle. Al reparar permisos siempre se me quedaba uno sin reparar del Java 7, era uno que tenía que ver con InternetPlugins, antes no me aparecía ese mensaje. Ha sido ahora con el formateo. Reinstalé Mountain Lion, vía internet, y al arrancar nuevamente me salta el mensaje de que necesita un entorno Java, nuevamente le doy a aceptar y por lo visto como el mensaje era de Apple, habrá instalado la suya. Bueno para mi sorpresa, entro en las preferencias de Java, y sigue estando la 7 y arriba como la tenía yo; abro un terminal para ver la versión que utilizo y me dice que la 7, mientras que en las preferencias del sistema/complementos, ya no aparece el apartado de Java donde se puede actualizar o el mismo Java avisa que hay una actualización más reciente. Reparo permisos en esta ocasión, y ahora ya no me aparece ni un solo permiso por reparar.

Mi pregunta ahora es la siguiente: ¿es 100% necesario la versión 7 de Java de Oracle o puedo utlizar la versión 6 de Apple, en vista de que la han actualizado hace poco?

Un saludo.

 

 

Link to comment
Share on other sites

Esa es una pregunta de difícil respuesta. Dependerá de las aplicaciones que tengas instaladas que puedan necesitar Java. El hecho de estar en un proceso de transición entre unas actualizaciones que llevaba Apple, a unas actualizaciones que lleva el fabricante de esta tecnologia lleva sus problemas. Yo soy partidario de no instalar Java si no te es necesario. Si lo es, instala la versión 6 hasta que te sea necesario tener la 7. La lentitud de muchos desarrolladores, Google entre ellos, hará que la vida útil de la versión 6 sea larga.

 

Me preocupa bastante que Oracle no haya puesto a los desarrolladores las pilas para que adapten antes la versión 7.

 

Un saludo

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...

Important Information

We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.